IBM Support

IT20396: UPGRADING THE SERVER TO HIGHER VERSION COULD FAIL IF ON SAME BOXTHERE IS ANOTHER COPY OF DB2 INSTALLED

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • When upgrading the IBM Spectrum Protect Server on a system where
    there is another DB2 instance in use from another software
    product, like IBM Content Manager OnDemand, the installation may
    fail reporting the following error in the installation log:
    
    
    
    Error during "install" phase:
      ANRI1020E: The DB2 installation failed. To review errors and
    correct
    any issues, review
    /var/ibm/InstallationManager/logs/native/tsm_logs/db2_install.lo
    g.
    
    
    
    In the db2_install.log the following error is also shown:
    
    WARNING: DBI1004W  /usr/lib/libdb2.a detected. This DB2 copy may
    encounter problems loading its libraries.
    
    
    
    
    IBM Spectrum Protect versions affected:
    All supported versions of IBM Spectrum Protect Server on UNIX
    platforms
    
    
    
    
    Initial Impact:
    Medium
    
    
    
    
    Additional Keywords:
    TSM "Spectrum Protect" DBI1004W  ANRI1020E upgrade Server
    

Local fix

  • There are two workarounds for this issue:
    
    Before the IBM Spectrum Protect server upgrade, remove the
    symbolic links to DB2 library using the following DB2 command:
    db2rmln
    
    The links will have to be added back after the upgrade.
    
    
    - OR -
    
    For OnDemand only:
    
    Move the DB2 library links (manually with "ln -s") to directory
    /opt/ibm/ondemand/V9.5/lib64, and CMOD will look first in this
    directory and then look in the other directory (like /lib,
    /usr/lib, ...)
    

Problem summary

  • ****************************************************************
    * USERS AFFECTED:                                              *
    * All IBM Spectrum Protect and IBM Tivoli Storage Manager      *
    * server users.                                                *
    ****************************************************************
    * PROBLEM DESCRIPTION:                                         *
    * See error description.                                       *
    ****************************************************************
    * RECOMMENDATION:                                              *
    * Apply fixing level when available. This problem is currently *
    * projected to be fixed in levels 7.1.8 and 8.1.3. Note that   *
    * this is subject to change at the discretion of IBM.          *
    ****************************************************************
    

Problem conclusion

  • This problem was fixed.
    Affected platforms for reported release:  AIX, HP-UX, Solaris,
    and Linux.
    Platforms fixed:  AIX, HP-UX, Solaris, and Linux.
    

Temporary fix

Comments

APAR Information

  • APAR number

    IT20396

  • Reported component name

    TSM SERVER

  • Reported component ID

    5698ISMSV

  • Reported release

    71A

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2017-04-28

  • Closed date

    2017-06-20

  • Last modified date

    2017-06-20

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    TSM SERVER

  • Fixed component ID

    5698ISMSV

Applicable component levels

  • R71A PSY

       UP

  • R71H PSY

       UP

  • R71L PSY

       UP

  • R71S PSY

       UP

  • R81A PSY

       UP

  • R81L PSY

       UP



Document information

More support for: Tivoli Storage Manager

Software version: 7.1.3

Reference #: IT20396

Modified date: 20 June 2017